"use strict"

function Waypoint (map, x, y, landmark) {
   var that = this;

   // Functions.
   that.NextLandmark = function () {
      for (var i = that.index; i < that.map.waypoints.length; i++)
         if (that.map.waypoints[i].landmark)
            return that.map.waypoints[i].landmark;
      return null;
   }

   // Link to map.
   map.waypoints.push (that);
   that.map = map;

   // Initialize.
   this.index = map.waypoints.length - 1;
   this.x = x;
   this.y = y;
   this.landmark = landmark;
}
