"use strict"

// Game stuff.
var gGame          = null;  // Game instance.
var gImageSets     = [];    // Pre-loaded sets of similarly-named resources.
var gDrawScale     = 4.00;  // Aka "Pixel Density".
var gWidth         = null;  // Canvas.width  / gDrawScale.
var gHeight        = null;  // Canvas.height / gDrawScale.
var gFPS           = 60.00; // Frames per second.
var gHPS           = 0.05;  // Game-hours per second .
var gMapSpeed      = 75.00; // Speed of travel.
var gStartTime     = 7.00;  // Initial time of the game.
var gLoseTime      = 24.00; // Lose the game in X hours.
var gRainInterval  = 2.00;  // Rain toggles in X hours.
var gEventInterval = 3.00;  // Events happen at most every X hours.
var gFastForward   = 8.00;  // Speed at which fast-forwarding happens.
var gWalkSpeed     = 1000;  // Moving speed of scrolling people.
var gImageSetNames = [
   "player",   "person",   "morale", "energy",
   "skybox",   "bg",       "fg",     "map",
   "mini",     "landmark", "rain",   "border",
   "beer",     "coffee",   "food",   "raingear",
   "money",    "clock",    "title",  "hourglass",
   "status",   "cursor"
];

// DOM elements.
var dCanvas  = null;
var dLoading = null;
var dAudio   = null;
var dSource  = null;

// Other globals.
var oContext = null;
