"use strict"

function EventChoice (event, name, func) {
   var that = this;

   // Link to event.
   event.choices.push (that);
   that.event = event;

   // Functions.
   that.Draw = function (x, y) {
      var game = that.event.map.game;
      game.DrawText (that.name, 16.00, "#cccccc", "left", x + 12, y);
      if (that.event.selected == that)
         gImageSets["cursor"].images[0].Draw (x, y, 1.00, { vAlign: 1.00 });
   }

   // Initialization.
   that.index = event.choices.length - 1;
   that.name = name;
   that.func = func;

   // Is this the first one? Select it.
   if (that.index == 0)
      that.event.selected = that;
}
