"use strict"

function StoreItem (store, name, price, desc) {
   var that = this;

   // Make sure that's a valid item.
   if (!store.landmark.map.game.ItemExists (name))
      return;

   // Add to our store.
   that.store = store;
   store.items.push (that);
   if (store.items.length == 1)
      store.selected = that;

   // Functions.
   that.GetStore = function () {
      return store;
   };

   // Initialization.
   that.index = store.items.length - 1;
   that.name  = name;
   that.price = price;
   that.desc  = (desc == null) ? name : desc;

   // Get the appropriate image.
   var images = gImageSets[name].images;
   that.image = images[images.length - 1];
}
